#ifndef DZ1SEM3_RECORD_H
#define DZ1SEM3_RECORD_H

#include <string>

class Record {
public:
    int houseN;
    int flatN;
    std::string secondName;
    std::string operType;
    std::string date;
    int operSum;
    int penalties;
    int delay;

    Record() = default;
    Record(int, int, std::string_view, std::string_view, std::string_view, int, int, int);
    Record &operator=(const Record &);
    friend std::istream &operator>>(std::istream &, Record &);
    friend std::ostream &operator<<(std::ostream &, const Record &);
};


#endif //DZ1SEM3_RECORD_H
